
%global meadversion 1.3.3
%global namedversion 1.3.3.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}java-classmate}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.3.redhat-1

Name:           %{?scl_prefix}java-classmate
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ClassMate
Group:          Development/Java

%if %with mead
Source100: classmate-1.3.3.redhat-1-scm-sources.zip
Source102: classmate-1.3.3.redhat-1.pom
Source103: classmate-1.3.3.redhat-1-javadoc.jar
Source104: classmate-1.3.3.redhat-1-sources.jar
Source105: classmate-1.3.3.redhat-1-project-sources.tar.gz
Source106: classmate-1.3.3.redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://github.com/cowtowncoder/java-classmate
Provides:       %{?scl_prefix}classmate = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Library for introspecting types with full generic information including
resolving of field and method types.

%if %with javadoc
%package javadoc
Summary:        Javadoc for classmate
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n java-classmate -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/classmate-%{namedversion}.jar %{buildroot}%{_javadir}/classmate-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/classmate-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/classmate-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/classmate-%{namedversion}-sources.jar %{buildroot}%{_javadir}/classmate-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/classmate-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/classmate-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/classmate-%{namedversion} -x META-INF/\*
%{__ln_s} classmate-%{namedversion} %{buildroot}%{_javadocdir}/classmate
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%doc README.md VERSION.txt
%defattr(0644,root,root,0755)
%{_javadir}/classmate-%{namedversion}.jar
%{_javadir}/classmate.jar
%if %with javadoc
%{_javadir}/classmate-%{namedversion}-javadoc.jar
%{_javadir}/classmate-javadoc.jar
%endif
%{_javadir}/classmate-%{namedversion}-sources.jar
%{_javadir}/classmate-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/classmate-%{namedversion}
%{_javadocdir}/classmate
%endif

%changelog
* Fri Feb 03 2017 Petr Sakar <psakar@redhat.com> - 1.3.3-1.redhat_1.1
- upgrade to 1.3.3.redhat-1

* Thu Aug 11 2016 David Walluck <dwalluck@redhat.com> - 1.3.1-1.redhat_1.1
- 1.3.1

* Wed Jul 29 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-1.redhat_1.1
- release
